@import url('font.css');

p {
    color: white;
    font-size: 20px;
    font-family: "Oxygen";
    font-weight: 500;

}

a{
    font-family: "Oxygen";

}

a.button--primary {
    font-weight: 700;
    font-size: 18px;
    line-height: 150%;
    color: #1A1A1A;
    display: block;
    text-align: center;
    text-decoration: none;
    padding: 10px 24px 12px 24px;
    background: #FFD251;
    border-radius: 6px;
    margin-left: 3px;
    display: flex;
    flex-flow: row nowrap;
    align-items: center;
    gap: 8px;
    width: fit-content;
}

a.button--primary:hover,
a.button--primary:focus {
    color: #1A1A1A;
    text-decoration: none;
    outline: 3px solid #391171 !important;
    outline-offset: initial !important;
}

a.button--primary::after {
    display: block;
    width: 33px;
    height: 29px;
    content: url("../img/button-primary-arrow.svg");

}

body {
    margin: 0;
}

body #form {
    height: 2000px;
    background: lightgrey;
    display: flex;
    align-items: center;
    justify-content: center;

}

#header-section {
    background-color: #391171;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
}

#header-section .header-logo {
    width: 50%;
    display: flex;
}

#header-section .header-logo .logo-img {
    padding: 15px 32px;
    max-width: 200px;
    margin: 0 auto;
}

#header-section .header-image {
    width: 50%;
    height: -webkit-fill-available;
    object-fit: cover;
    margin-left: auto;
    max-height: 225px;
    object-position: 50% 17%;

}

#header-section .header-description {
    order:2;
    margin: 32px;
}

#footer-section {
    background: #391171;
    position: fixed;
    width: 100%;
    bottom: 0;
    transform: translateY(100%);
    transform: translateZ(0);
    transition: transform 0.3s ease;
    will-change: transform;
    backface-visibility: hidden;
    transition: 0.3s transform;
    padding:18px 32px 32px 32px;
    display: flex;
    flex-direction: column;
    gap: 18px;
    max-width: -webkit-fill-available;
}


#footer-section.show {
    transform: translateY(0);
}

@media only screen and (min-width: 768px)  {
    #header-section {
        flex-wrap: nowrap;
        gap: 12px;
    }
    #header-section .header-logo {
        width: 25%;
        max-width: 250px;
    }
    #header-section .header-description {
        order:0;
        width: 50%;
        margin-left: 0;
    }
    #header-section .header-image {
        width: 25%;
    }
}


